Index: trunk/SRC/Calendar/caldat.pro
===================================================================
--- trunk/SRC/Calendar/caldat.pro	(revision 237)
+++ trunk/SRC/Calendar/caldat.pro	(revision 238)
@@ -36,5 +36,6 @@
 ; see also the use of key_caltype (variable of the common file cm_4cal)
 ;
-; @uses cm_4cal
+; @uses
+; cm_4cal
 ;
 ; @restrictions
@@ -61,12 +62,13 @@
 ; @version
 ; $Id$
+;
 ;-
 ;
-pro caldat, julian, month, day, year, hour, minute, second, NDAYSPM = ndayspm
+PRO caldat, julian, month, day, year, hour, minute, second, NDAYSPM = ndayspm
+;
+  compile_opt idl2, strictarrsubs
 ;
 @cm_4cal
 ;
-  compile_opt idl2, strictarrsubs
-
   ON_ERROR, 2                   ; Return to caller if errors
 
Index: trunk/SRC/Calendar/date2jul.pro
===================================================================
--- trunk/SRC/Calendar/date2jul.pro	(revision 237)
+++ trunk/SRC/Calendar/date2jul.pro	(revision 238)
@@ -1,5 +1,5 @@
 ;+
 ;
-; @file_comments 
+; @file_comments
 ; gives Julian day equivalent of a date in yyyymmdd format
 ;
@@ -14,5 +14,5 @@
 ; if 50 <= year <= 99 --> year = 1900 + year
 ;
-; @returns 
+; @returns
 ; date in Julian day
 ;
@@ -25,5 +25,5 @@
 ;       1
 ;
-; @history 
+; @history
 ; Sebastien Masson (smasson\@lodyc.jussieu.fr) June 2005
 ;
@@ -46,5 +46,5 @@
 ;------------------------------------------------------------
   IF array_equal(date, long(date)) THEN return, julday(month, day, year)
-  
+
   fraction = date - long(date)
   hour = floor(fraction * 24d)
@@ -52,5 +52,5 @@
   minute = floor(fraction*1440d)
   second = (TEMPORARY(fraction) - minute/1440d) * 86400d
-  
+
   return, julday(month, day, year, hour, minute, second)
 
Index: trunk/SRC/Calendar/date2string.pro
===================================================================
--- trunk/SRC/Calendar/date2string.pro	(revision 237)
+++ trunk/SRC/Calendar/date2string.pro	(revision 238)
@@ -24,5 +24,6 @@
 ;    JAN 23, 1990
 ;
-; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
+; @history
+; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ; Creation ???
 ; update/review June 2005 Sebastien Masson.
Index: trunk/SRC/Calendar/daysinmonth.pro
===================================================================
--- trunk/SRC/Calendar/daysinmonth.pro	(revision 237)
+++ trunk/SRC/Calendar/daysinmonth.pro	(revision 238)
@@ -4,5 +4,5 @@
 ; give the number of days in a specific month
 ;
-; @categories 
+; @categories
 ; Calendar
 ;
@@ -15,19 +15,20 @@
 ; month number
 ;
-; @returns 
+; @returns
 ; number of days in a month or -1 in case of error
 ;
-; @uses 
-; cm_4cal, updatenew
+; @uses
+; cm_4cal
+; updatenew
 ;
 ; @examples
 ; IDL> ndays = daysinmonth(2, 2000)
 ;
-; @history 
+; @history
 ; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ; 2/7/98
 ; update/review/english/new commons: June 2005 Sebastien Masson.
 ;
-; @version 
+; @version
 ; $Id$
 ;
Index: trunk/SRC/Calendar/leapyr.pro
===================================================================
--- trunk/SRC/Calendar/leapyr.pro	(revision 237)
+++ trunk/SRC/Calendar/leapyr.pro	(revision 238)
@@ -6,5 +6,5 @@
 ; eg. NUM_DAYS_IN_YR = 365 + leapyr(year)
 ;
-; @categories 
+; @categories
 ; Calendar
 ;
@@ -12,5 +12,5 @@
 ; year to be tested as a leap year.
 ;
-; @returns 
+; @returns
 ; 0 then not a leap year, 1 then year is a leap year
 ; with the same number of elements than year.
Index: trunk/SRC/Colors/newpalette.pro
===================================================================
--- trunk/SRC/Colors/newpalette.pro	(revision 237)
+++ trunk/SRC/Colors/newpalette.pro	(revision 238)
@@ -21,5 +21,5 @@
 ; Used to pass keywords to <proidl>modifyct</proidl>
 ;
-; @history 
+; @history
 ; Guillaume Roulet (gr\@lodyc.jussieu.fr)
 ; 30/3/1999 s.masson, add _extra, research of the full name, OVER
Index: trunk/SRC/Colors/xpal.pro
===================================================================
--- trunk/SRC/Colors/xpal.pro	(revision 237)
+++ trunk/SRC/Colors/xpal.pro	(revision 238)
@@ -12,5 +12,5 @@
 ;-
 ;
-function xp_new_colors
+FUNCTION xp_new_colors
 ;
   compile_opt idl2, strictarrsubs
@@ -33,9 +33,12 @@
   return, res
 end
-
-;+
-; @hidden
-;-
-pro xp_alert_caller
+;
+;+
+;
+; @hidden
+;
+;-
+;
+PRO xp_alert_caller
 ;
   compile_opt idl2, strictarrsubs
@@ -61,10 +64,14 @@
   endif
 end
-; XP_XLCTCALLBACK:  For visuals with static colormaps, update the graphics
-; after a change by XLOADCT.
-;+
-; @hidden
-;-
-pro xp_xlctcallback
+;+
+;
+; For visuals with static colormaps, update the graphics
+; after a change by <proidl>XLOADCT</proidl>.
+;
+; @hidden
+;
+;-
+;
+PRO xp_xlctcallback
 ;
   compile_opt idl2, strictarrsubs
@@ -76,9 +83,12 @@
 
 end
-
-;+
-; @hidden
-;-
-pro xp_redraw
+;
+;+
+;
+; @hidden
+;
+;-
+;
+PRO xp_redraw
 ;
   compile_opt idl2, strictarrsubs
@@ -94,19 +104,23 @@
 end
 
-; XP_REPLOT: Re-draw the RGB plots. Type has the following possible values.
+;+
+;
+; @hidden
+;
+; @file_comments
+; Re-draw the RGB plots.
+;
+; @param color_index
+;
+; @param type
+; Type has the following possible values.
 ;       - 'D': Draw the data part of all three plots
 ;       - 'F': draw all three plots
 ;       - 'R': Draw the data part of the Red plot
 ;       - 'G': Draw the data part of the Green plot
-;       - 'B': Draw the data part of the Blue plot
-;+
-; @param color_index
-; ???
-; @param type
-; ???
-;
-; @hidden
-;-
-pro xp_replot, color_index, type
+;
+;-
+;
+PRO xp_replot, color_index, type
 ;
   compile_opt idl2, strictarrsubs
@@ -179,21 +193,23 @@
 
 end
-
-
-
-; XP_CHANGE_COLOR:  Change current color. Type has the following possible values.
+;
+;+
+;
+; @hidden
+;
+; @file_comments
+; Change current color.
+;
+; @param type
+; Type has the following possible values.
 ;       - 'R': Change the R part of the current color
 ;       - 'G': ...
 ;       - 'B': ...
-;+
-;
-; @param type
-; ???
+;
 ; @param value
-; ???
-;
-; @hidden
-;-
-pro xp_change_color, type, value
+;
+;-
+;
+PRO xp_change_color, type, value
 ;
   compile_opt idl2, strictarrsubs
@@ -237,9 +253,12 @@
 end
 ;+
+;
 ; @param event
-; ???
-; @hidden
-;-
-pro xp_button_event, event
+;
+; @hidden
+;
+;-
+;
+PRO xp_button_event, event
 ;
   compile_opt idl2, strictarrsubs
@@ -357,8 +376,11 @@
 
 ;+
-; @hidden
+;
+; @hidden
+;
 ; @param ev
-; ???
-;-
+;
+;-
+;
 PRO xp_button_event_event, ev
 ;
@@ -383,15 +405,14 @@
 
 END
-
-
-
-
-;+
+;
+;+
+;
 ; @param event
-; ???
-; @hidden
-;-
-
-pro xp_event, event
+;
+; @hidden
+;
+;-
+;
+PRO xp_event, event
 ;
   compile_opt idl2, strictarrsubs
@@ -435,12 +456,12 @@
 
  END
-
+;
 ;+
 ;
 ; @file_comments
 ; Like <proidl>xpalette</proidl> but shorter to write and, moreover,
-; possess a hotkey save which (thanks to the newpalette routine)
+; possess a hotkey save which (thanks to the <pro>newpalette</pro> routine)
 ; allows to save the routine that we have just done. Comment: when we
-; press the predefined hotkey, it calls <pro>xlct</pro> instead of 
+; press the predefined hotkey, it calls <pro>xlct</pro> instead of
 ; <proidl>xloadct</proidl>
 ; No explicit inputs.  The current color table is used as a starting point.
@@ -449,6 +470,6 @@
 ; Color, Widget
 ;
-; @uses XP_COM
-; Private to this module.
+; @uses
+; XP_COM Private to this module.
 ;
 ; @restrictions
Index: trunk/SRC/Commons/cm_4cal.pro
===================================================================
--- trunk/SRC/Commons/cm_4cal.pro	(revision 237)
+++ trunk/SRC/Commons/cm_4cal.pro	(revision 238)
@@ -1,5 +1,6 @@
 ;+
 ;
-; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
+; @history
+; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;			June 2005
 ;-
@@ -12,5 +13,2 @@
 ;             = 'noleap' : no leap year calendar (always 365 days)
 COMMON key_calendar, key_caltype
-;
-
-
Index: trunk/SRC/Commons/cm_4data.pro
===================================================================
--- trunk/SRC/Commons/cm_4data.pro	(revision 237)
+++ trunk/SRC/Commons/cm_4data.pro	(revision 238)
@@ -1,5 +1,6 @@
 ;+
 ;
-; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
+; @history
+; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;			June 2005
 ;-
@@ -11,5 +12,5 @@
 COMMON global_data_coord, jpidta, jpjdta, jpkdta
 ;
-; domains positions regarding to the original grid 
+; domains positions regarding to the original grid
 ;
 COMMON zoom_data, ixmindta, ixmaxdta, iymindta $
@@ -22,6 +23,2 @@
 ;
 COMMON xxx_readparameters, ccreadparameters
-
-
-
-
Index: trunk/SRC/Commons/cm_4mesh.pro
===================================================================
--- trunk/SRC/Commons/cm_4mesh.pro	(revision 237)
+++ trunk/SRC/Commons/cm_4mesh.pro	(revision 238)
@@ -1,5 +1,6 @@
 ;+
 ;
-; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
+; @history
+; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;			June 2005
 ;-
@@ -12,5 +13,5 @@
 COMMON global_mesh_coord, jpiglo, jpjglo, jpkglo
 ;
-; domains positions regarding to the original grid 
+; domains positions regarding to the original grid
 ;
 COMMON zoom_mesh, ixminmesh, ixmaxmesh $
@@ -18,5 +19,5 @@
 ;
 ; mesh related coordinates
-; see OPA manual 
+; see OPA manual
 COMMON longitudes, glamf, glamt, glamu, glamv
 COMMON latitudes, gphif, gphit, gphiu, gphiv
@@ -50,6 +51,2 @@
 COMMON liees_a_triangule, triangles_list, twin_corners_up, twin_corners_dn
 ;
-
-
-
-
Index: trunk/SRC/Commons/cm_4ps.pro
===================================================================
--- trunk/SRC/Commons/cm_4ps.pro	(revision 237)
+++ trunk/SRC/Commons/cm_4ps.pro	(revision 238)
@@ -1,5 +1,6 @@
 ;+
 ;
-; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
+; @history
+; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;			June 2005
 ;-
Index: trunk/SRC/Commons/cm_general.pro
===================================================================
--- trunk/SRC/Commons/cm_general.pro	(revision 237)
+++ trunk/SRC/Commons/cm_general.pro	(revision 238)
@@ -1,5 +1,6 @@
 ;+
 ;
-; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
+; @history
+; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;			June 2005
 ;-
Index: trunk/SRC/Computation/curl.pro
===================================================================
--- trunk/SRC/Computation/curl.pro	(revision 237)
+++ trunk/SRC/Computation/curl.pro	(revision 238)
@@ -20,12 +20,15 @@
 ;
 ; @keyword DIREC {type=scalar string}
-; Use if you want to call moyenne or grossemoyenne after the div computation
+; Use if you want to call <pro>moyenne</pro> or
+; <pro>grossemoyenne</pro> after the div computation
 ; with a mean done in the DIREC direction
 ;
-; @returns RES
+; @returns
 ; the vertical component of the curl of the input data (with the same size)
 ;
 ; @uses
-; cm_4cal, cm_4data, cm_4mmesh
+; cm_4cal
+; cm_4data
+; cm_4mmesh
 ;
 ; @restrictions
@@ -59,4 +62,5 @@
 ; @todo
 ; code the 4d case
+;
 ;-
 ;
Index: trunk/SRC/Computation/div.pro
===================================================================
--- trunk/SRC/Computation/div.pro	(revision 237)
+++ trunk/SRC/Computation/div.pro	(revision 238)
@@ -20,12 +20,15 @@
 ;
 ; @keyword DIREC {type=scalar string}
-; Use if you want to call moyenne or grossemoyenne after the div computation
+; Use if you want to call <pro>moyenne</pro> or
+; <pro>grossemoyenne</pro> after the div computation
 ; (stupid ?) with a mean done in the DIREC direction
 ;
-; @returns RES
+; @returns
 ; the divergence of the input data (with the same size)
 ;
 ; @uses
-; cm_4cal, cm_4data, cm_4mmesh
+; cm_4cal
+; cm_4data
+; cm_4mmesh
 ;
 ; @restrictions
@@ -38,5 +41,5 @@
 ;   T, U, V and F grids, it is possible that these two arrays do not have the same
 ;   size and refer to different indexes. In this case, arrays are re-cut on
-;   common indexes. To avoid these re-cuts, use the keyword /memeindice in 
+;   common indexes. To avoid these re-cuts, use the keyword /memeindice in
 ; <pro>domdef</pro>
 ; - When computing the divergence, we update, vargrid, varname, varunits and the
@@ -58,4 +61,5 @@
 ; @todo
 ; code the 4d case
+;
 ;-
 ;
Index: trunk/SRC/Computation/grad.pro
===================================================================
--- trunk/SRC/Computation/grad.pro	(revision 237)
+++ trunk/SRC/Computation/grad.pro	(revision 238)
@@ -8,5 +8,5 @@
 ;
 ; @param FIELD
-; The field for which we want to compute the gradient.  A 2D (xy),
+; The field for which we want to compute the gradient. A 2D (xy),
 ; 3D (xyz or yt) or 4D (xyzt) array or a structure readable by litchamp
 ; and containing a 2D (xy), 3D (xyz or yt) or 4D (xyzt) array.
@@ -16,9 +16,11 @@
 ; the gradient direction: 'x', 'y', 'z'
 ;
-; @returns RES {type=2D, 3D or 4D array}
-; the gradient of the input data (with the same size)
+; @returns
+; the gradient of the input data with the same size 2D, 3D or 4D array
 ;
 ; @uses
-; cm_4cal, cm_4data, cm_4mmesh
+; cm_4cal
+; cm_4data
+; cm_4mmesh
 ;
 ; @restrictions
Index: trunk/SRC/ForOldVersion/keep_compatibility.pro
===================================================================
--- trunk/SRC/ForOldVersion/keep_compatibility.pro	(revision 237)
+++ trunk/SRC/ForOldVersion/keep_compatibility.pro	(revision 238)
@@ -7,10 +7,12 @@
 ;   4) copy oldcm_full(_empty) to myuniquetmpdir+'oldcm_used.pro'
 ;
-; @categories 
+; @categories
 ; Compatibility
 ;
-; @param flag {in}{optional} 1 or 0 to keep or forget the compatibility
+; @param flag {in}{optional}
+; 1 or 0 to keep or forget the compatibility
 ;
-; @uses cm_general
+; @uses
+; cm_general
 ;
 ; @restrictions
@@ -21,13 +23,14 @@
 ; IDL> keep_compatibility,0
 ;
-; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
+; @history
+; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                      June 2005
 ;
-; @version $Id$
+; @version
+; $Id$
 ;
 ;-
 ;
 PRO keep_compatibility, flag
-;
 ;
   compile_opt idl2, strictarrsubs
@@ -105,5 +108,5 @@
   ENDIF
 ;
-; merge the online_help if possible.. 
+; merge the online_help if possible...
 ;
   mergeonline_help
Index: trunk/SRC/ForOldVersion/oldcm_empty.pro
===================================================================
--- trunk/SRC/ForOldVersion/oldcm_empty.pro	(revision 237)
+++ trunk/SRC/ForOldVersion/oldcm_empty.pro	(revision 238)
@@ -1,7 +1,10 @@
 ;+
 ;
-; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
+; @history
+; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                       June 2005
-; @version $Id$
+; @version
+; $Id$
+;
 ;-
 ;
Index: trunk/SRC/ForOldVersion/oldcm_full.pro
===================================================================
--- trunk/SRC/ForOldVersion/oldcm_full.pro	(revision 237)
+++ trunk/SRC/ForOldVersion/oldcm_full.pro	(revision 238)
@@ -1,7 +1,9 @@
 ;+
 ;
-; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
+; @history
+; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;			14/8/98
-; @version $Id$
+; @version
+; $Id$
 ;-
 ;
Index: trunk/SRC/ForOldVersion/updatekwd.pro
===================================================================
--- trunk/SRC/ForOldVersion/updatekwd.pro	(revision 237)
+++ trunk/SRC/ForOldVersion/updatekwd.pro	(revision 238)
@@ -7,14 +7,16 @@
 ; @categories compatibility with previous version
 ;
-; @examples 
+; @examples
 ; IDL> \@updatekwd
-;   (must be insert as an include in a procedure or function) 
+;   (must be insert as an include in a procedure or function)
 ;
 ; @restrictions the compatibility can be made only if the keyword
 ;               given through _extra are given with their complete name
 ;
-; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
+; @history
+; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                      July 2005
-; @version $Id$
+; @version
+; $Id$
 ;
 ;-
@@ -41,5 +43,5 @@
   old = strtrim(strlowcase(old[1:*]), 2)
   new = strtrim(strlowcase(new[1:*]), 2)
-;  
+;
 ; what are the keywords of the present routine?
 ;
@@ -64,7 +66,7 @@
     FOR i = 0, n_elements(alltags)-1 DO BEGIN
       isold = (where(old EQ alltags[i], count))[0]
-      IF count EQ 1 THEN BEGIN 
+      IF count EQ 1 THEN BEGIN
         dummy = where(kwds EQ new[isold], count)
-        IF count EQ 1 THEN BEGIN 
+        IF count EQ 1 THEN BEGIN
           dummy = execute(new[isold] + ' = ex.' + alltags[i])
 ;           dummy = execute('ex = get_extra(' + new[isold] + ' = ex.' $
Index: trunk/SRC/ForOldVersion/updatenew.pro
===================================================================
--- trunk/SRC/ForOldVersion/updatenew.pro	(revision 237)
+++ trunk/SRC/ForOldVersion/updatenew.pro	(revision 238)
@@ -6,7 +6,9 @@
 ; check that key_forgetold and keep_compatibility are well defined...
 ;
-; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
+; @history
+; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                       June 2005
-; @version $Id$
+; @version
+; $Id$
 ;-
 ;
Index: trunk/SRC/ForOldVersion/updateold.pro
===================================================================
--- trunk/SRC/ForOldVersion/updateold.pro	(revision 237)
+++ trunk/SRC/ForOldVersion/updateold.pro	(revision 238)
@@ -4,7 +4,9 @@
 ; check that key_forgetold and keep_compatibility are well defined...
 ;
-; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
+; @history
+; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;			14/8/98
-; @version $Id$
+; @version
+; $Id$
 ;
 ;-
Index: trunk/SRC/Grid/changemsk.pro
===================================================================
--- trunk/SRC/Grid/changemsk.pro	(revision 237)
+++ trunk/SRC/Grid/changemsk.pro	(revision 238)
@@ -15,5 +15,5 @@
 ;
 ; @returns
-; newmsk the new 2D land-sea mask
+; the new 2D land-sea mask
 ;
 ; @examples
@@ -31,5 +31,5 @@
 ;-
 ;
-function changemsk,tab, CELLSIZE = cellsize
+FUNCTION changemsk,tab, CELLSIZE = cellsize
 ;
   compile_opt idl2, strictarrsubs
@@ -82,3 +82,2 @@
    return, newmsk
 end
-
Index: trunk/SRC/Grid/checkperio.pro
===================================================================
--- trunk/SRC/Grid/checkperio.pro	(revision 237)
+++ trunk/SRC/Grid/checkperio.pro	(revision 238)
@@ -45,5 +45,7 @@
 ;
 PRO checkperio, file, WRITE = write
-
+;
+  compile_opt idl2, strictarrsubs
+;
   IF file_test(file) EQ 0 THEN BEGIN
     ras = report( 'file '+file+' not found')
Index: trunk/SRC/Grid/computegrid.pro
===================================================================
--- trunk/SRC/Grid/computegrid.pro	(revision 237)
+++ trunk/SRC/Grid/computegrid.pro	(revision 238)
@@ -128,5 +128,5 @@
 ;       Specify latitudes in this case starty, stepy and ny are not used but
 ;       starty and stepy could be necessary if the x axis is not defined with
-;       xaxis. It must be sorted in the increasing or deceasing order (along each column if 2d array).
+;       xaxis. It must be sorted in the increasing or decreasing order (along each column if 2d array).
 ;
 ; @keyword XYINDEX activate to specify that the horizontal grid should
@@ -209,13 +209,15 @@
 ;
 ; @keyword ZAXIS {type=1D}
-;       Specify the vertical axis. Must be sorted in the increasing or deceasing order
+;       Specify the vertical axis. Must be sorted in the increasing or decreasing order
 ;
 ; @keyword _EXTRA
 ; not used in the present case ...
 ;
-; @uses 
-; cm_4mesh cm_4data cm_4cal
-;
-; @restrictions 
+; @uses
+; cm_4mesh
+; cm_4data
+; cm_4cal
+;
+; @restrictions
 ; if the grid has x/y periodicity overlap and/or if
 ;    the mask has 0 everywhere at the border (like a closed sea) and
@@ -226,5 +228,4 @@
 ;    to use cell_fill = 1).
 ;
-; @restrictions 
 ; FUV points definition is not exact if the grid is irregular
 ;
Index: trunk/SRC/Grid/micromeshmask.pro
===================================================================
--- trunk/SRC/Grid/micromeshmask.pro	(revision 237)
+++ trunk/SRC/Grid/micromeshmask.pro	(revision 238)
@@ -10,6 +10,9 @@
 ;
 ; @param inid {in}{required}
+;
 ; @param outid {in}{required}
+;
 ; @param inname {in}{required}
+;
 ; @param outname {in}{optional}
 ;
@@ -43,8 +46,9 @@
 ; xxx.mask.nc. In that case, the meshmask is split into 3 files.
 ;
-; @param ncfileout {in}{optional} the name of the uniq reduced meshmask file.
-; default definition is micromeshmask.nc
-;
-; @keyword IODIR to define the files path.
+; @param ncfileout {in}{optional} {default='micromeshmask.nc'}
+; the name of the uniq reduced meshmask file.
+;
+; @keyword IODIR
+; to define the files path.
 ;
 ; @examples
Index: trunk/SRC/Grid/n128gaussian.pro
===================================================================
--- trunk/SRC/Grid/n128gaussian.pro	(revision 237)
+++ trunk/SRC/Grid/n128gaussian.pro	(revision 238)
@@ -11,5 +11,6 @@
 ; IDL> lat=n128gaussian()
 ;
-; @returns a 1d array
+; @returns
+; a 1d array
 ;
 ; @history
@@ -23,5 +24,4 @@
 ;
 FUNCTION n128gaussian
-;
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/Grid/n160gaussian.pro
===================================================================
--- trunk/SRC/Grid/n160gaussian.pro	(revision 237)
+++ trunk/SRC/Grid/n160gaussian.pro	(revision 238)
@@ -9,7 +9,8 @@
 ;
 ; @examples
-; IDL>lat=n160gaussian()
+; IDL> lat=n160gaussian()
 ;
-; @returns a 1d array
+; @returns
+; a 1d array
 ;
 ; @history
@@ -23,5 +24,4 @@
 ;
 FUNCTION n160gaussian
-;
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/Grid/n256gaussian.pro
===================================================================
--- trunk/SRC/Grid/n256gaussian.pro	(revision 237)
+++ trunk/SRC/Grid/n256gaussian.pro	(revision 238)
@@ -11,5 +11,6 @@
 ; IDL> lat=n256gaussian()
 ;
-; @returns a 1d array
+; @returns
+; a 1d array
 ;
 ; @history
@@ -23,5 +24,4 @@
 ;
 FUNCTION n256gaussian
-;
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/Grid/n48gaussian.pro
===================================================================
--- trunk/SRC/Grid/n48gaussian.pro	(revision 237)
+++ trunk/SRC/Grid/n48gaussian.pro	(revision 238)
@@ -11,5 +11,6 @@
 ; IDL> lat=n48gaussian()
 ;
-; @returns a 1d array
+; @returns
+; a 1d array
 ;
 ; @history
@@ -23,5 +24,4 @@
 ;
 FUNCTION n48gaussian
-;
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/Grid/n80gaussian.pro
===================================================================
--- trunk/SRC/Grid/n80gaussian.pro	(revision 237)
+++ trunk/SRC/Grid/n80gaussian.pro	(revision 238)
@@ -1,5 +1,5 @@
 ;+
 ;
-; @file_comments 
+; @file_comments
 ; compute the latitudes of the n80 gaussian grid. See:
 ; <a href="http://www.ecmwf.int/products/data/technical/gaussian/n80FIS.html">Gaussian 80</a>
@@ -11,5 +11,6 @@
 ; IDL> lat=n80gaussian()
 ;
-; @returns a 1d array
+; @returns
+; a 1d array
 ;
 ; @history
@@ -23,5 +24,4 @@
 ;
 FUNCTION n80gaussian
-;
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/Grid/numbisland.pro
===================================================================
--- trunk/SRC/Grid/numbisland.pro	(revision 237)
+++ trunk/SRC/Grid/numbisland.pro	(revision 238)
@@ -1,3 +1,4 @@
 ;+
+;
 ; @hidden
 ;
@@ -24,4 +25,7 @@
 ;
 PRO mskneig, msk, nx, ny, indin, numb
+;
+  compile_opt idl2, strictarrsubs
+;
 ; flag the point
   msk[indin] = numb
@@ -33,5 +37,5 @@
 ; build 1d index
   ind = temporary(indx)#replicate(1L, 3) + replicate(nx, 3)#temporary(indy)
-; for each neighbourgs on the same island, call again mskneig
+; for each neighbourg on the same island, call again mskneig
   FOR i = 0, n_elements(ind)-1 DO BEGIN
     IF msk[ind[i]] EQ 0 THEN mskneig, msk, nx, ny, ind[i], numb
@@ -40,8 +44,9 @@
   return
 END
-
+;
 ;+
+;
 ; @file_comments
-; given a 2D land-se mask, give a number to each islands
+; given a 2D land-sea mask, give a number to each island
 ;
 ; @categories
@@ -67,8 +72,12 @@
 ; @version
 ; $Id$
+;
 ;-
 ;
 FUNCTION numbisland, mskin
-  time1 = systime(1) ; performance measurment
+;
+  compile_opt idl2, strictarrsubs
+;
+  time1 = systime(1) ; performance measurement
   szmsk = size(reform(mskin))
   IF szmsk[0] NE 2 THEN stop
Index: trunk/SRC/Grid/restoreboxparam.pro
===================================================================
--- trunk/SRC/Grid/restoreboxparam.pro	(revision 237)
+++ trunk/SRC/Grid/restoreboxparam.pro	(revision 238)
@@ -5,6 +5,6 @@
 ; previously defined by <pro>saveboxparam</pro>
 ;
-; @param filename {in}{required}
-; a scalar string defining the file name
+; @param filename {in}{required}{type= scalar string}
+; the file name
 ;
 ; @uses
Index: trunk/SRC/Grid/romsdepth.pro
===================================================================
--- trunk/SRC/Grid/romsdepth.pro	(revision 237)
+++ trunk/SRC/Grid/romsdepth.pro	(revision 238)
@@ -12,5 +12,6 @@
 ;
 ; @uses
-; cm_4mesh cm_4data
+; cm_4mesh
+; cm_4data
 ;
 ; @restrictions
@@ -22,7 +23,10 @@
 ; @version
 ; $Id$
+;
 ;-
 ;
 FUNCTION romsdepth
+;
+  compile_opt idl2, strictarrsubs
 ;
 @cm_4mesh
Index: trunk/SRC/Grid/saveboxparam.pro
===================================================================
--- trunk/SRC/Grid/saveboxparam.pro	(revision 237)
+++ trunk/SRC/Grid/saveboxparam.pro	(revision 238)
@@ -6,6 +6,6 @@
 ; (common variable defined by def_myuniquetmpdir)
 ;
-; @param filename {in}{required}
-; a scalar string defining the file name
+; @param filename {in}{required} {type=scalar string}
+; the file name
 ;
 ; @uses
Index: trunk/SRC/Grid/smallmeshmask.pro
===================================================================
--- trunk/SRC/Grid/smallmeshmask.pro	(revision 237)
+++ trunk/SRC/Grid/smallmeshmask.pro	(revision 238)
@@ -5,6 +5,9 @@
 ;
 ; @param inid {in}{required}
+;
 ; @param outid {in}{required}
+;
 ; @param inname {in}{required}
+;
 ; @param outname {in}{optional}
 ;
@@ -28,4 +31,5 @@
 ;
 ;+
+;
 ; @file_comments
 ; Reduce the size of the NetCDF meshmask created by OPA by
@@ -33,5 +37,7 @@
 ; fields.
 ;
-; @keyword IODIR to define the files path.
+; @keyword IODIR
+; to define the files path.
+;
 ; @param ncfilein {in}{required}
 ; 1) the name of the meshmask file to be reduced. In that case,
@@ -60,6 +66,6 @@
 ;
 ;-
+;
 PRO smallmeshmask, ncfilein, ncfileout, IODIR = iodir
-;
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/Interpolation/angle.pro
===================================================================
--- trunk/SRC/Interpolation/angle.pro	(revision 237)
+++ trunk/SRC/Interpolation/angle.pro	(revision 238)
@@ -39,5 +39,7 @@
 END
 ;+
-; @file_comments Compute angles between grid lines and direction of the North pole
+;
+; @file_comments
+; Compute angles between grid lines and direction of the North pole
 ;(fom angle.F,v 2.2 in OPA8.2)
 ;
@@ -92,4 +94,5 @@
 ; @version
 ; $Id$
+;
 ;-
 ;
@@ -97,9 +100,8 @@
            , IODIRECTORY = iodirectory, DOUBLE = double
 ;
+  compile_opt idl2, strictarrsubs
+;
 ; 0. read oceanic grid parameters
 ; ================================
-;
-;
-  compile_opt idl2, strictarrsubs
 ;
   IF keyword_set(IODIRECTORY) THEN BEGIN
Index: trunk/SRC/Interpolation/clickincell.pro
===================================================================
--- trunk/SRC/Interpolation/clickincell.pro	(revision 237)
+++ trunk/SRC/Interpolation/clickincell.pro	(revision 238)
@@ -8,5 +8,6 @@
 ;
 ; @keyword CELLTYPE
-; = 'T', 'W', 'U', 'V' or 'F' This this the type of point
+; = 'T', 'W', 'U', 'V' or 'F'
+; the type of point
 ;     that is located in the center of the cell which the click is
 ;     located. default is T type of cell (with corner defined by F
@@ -28,5 +29,5 @@
 ;
 ; @keyword _EXTRA
-; Used to pass extra keywords to <pro>inquad</pro> and 
+; Used to pass extra keywords to <pro>inquad</pro> and
 ; <proidl>plot</proidl>
 ; (when /drawcell)
Index: trunk/SRC/Interpolation/compute_fromirr_bilinear_weigaddr.pro
===================================================================
--- trunk/SRC/Interpolation/compute_fromirr_bilinear_weigaddr.pro	(revision 237)
+++ trunk/SRC/Interpolation/compute_fromirr_bilinear_weigaddr.pro	(revision 238)
@@ -49,5 +49,5 @@
 ;  and the weight is redistributed on the remaining "water" corners
 ;  -  points located out of the southern and northern boundaries or in cells
-;  containing only land points are set the the same value as their closest neighbor
+;  containing only land points are set the same value as their closest neighbor
 ;
 ; @history
Index: trunk/SRC/Interpolation/compute_fromreg_bilinear_weigaddr.pro
===================================================================
--- trunk/SRC/Interpolation/compute_fromreg_bilinear_weigaddr.pro	(revision 237)
+++ trunk/SRC/Interpolation/compute_fromreg_bilinear_weigaddr.pro	(revision 238)
@@ -39,5 +39,5 @@
 ; @restrictions
 ;  - the input grid must be a "regular grid", defined as a grid for which each
-;  longitudes lines have the same latitude and each latitudes columns have the
+;  longitude lines have the same latitude and each latitude columns have the
 ;  same longitude.
 ;  - We supposed the data are located on a sphere, with a periodicity along
@@ -123,5 +123,5 @@
                   , checkout = [alon[jpia-1L], alat[jpja-1L]], /output2d)
 ; checks...
-; for longitude, each ocean points must be located in atm cell.
+; for longitude, each ocean point must be located in atm cell.
   IF (where(pos[0, *] EQ -1))[0] NE -1 THEN stop
 ; no ocean point should be located westward of the left boundary of the
@@ -134,5 +134,5 @@
 ; we use bilinear interpolation
 ;
-; we change the coordinates of each ocean points to fit into a
+; we change the coordinates of each ocean point to fit into a
 ; rectangle defined by:
 ;
@@ -239,3 +239,2 @@
   return
 end
-
Index: trunk/SRC/Interpolation/compute_fromreg_imoms3_weigaddr.pro
===================================================================
--- trunk/SRC/Interpolation/compute_fromreg_imoms3_weigaddr.pro	(revision 237)
+++ trunk/SRC/Interpolation/compute_fromreg_imoms3_weigaddr.pro	(revision 238)
@@ -39,5 +39,5 @@
 ; @restrictions
 ;  - the input grid must be a "regular/rectangular grid", defined as a grid for
-;  which each longitudes lines have the same latitude and each latitudes columns
+;  which each longitude lines have the same latitude and each latitude columns
 ;  have the same longitude.
 ;  -  We supposed the data are located on a sphere, with a periodicity along
Index: trunk/SRC/Interpolation/extrapolate.pro
===================================================================
--- trunk/SRC/Interpolation/extrapolate.pro	(revision 237)
+++ trunk/SRC/Interpolation/extrapolate.pro	(revision 238)
@@ -2,5 +2,5 @@
 ;
 ; @file_comments
-; extrapolate data (zinput) where maskinput eq 0 by filling step by
+; extrapolate data (zinput) where maskinput equal 0 by filling step by
 ; step the coastline points with the mean value of the 8 neighbourgs
 ; (weighted by their mask value).
@@ -33,6 +33,6 @@
 ; put 1 to force the extrapolated values to be larger than 0, same as using minval=0.
 ;
-; @returns {type=2d array}
-; the extrapolated array
+; @returns
+; the extrapolated 2d array
 ;
 ; @examples
@@ -114,5 +114,5 @@
 ; find the coastline points...
 ;---------------------------------------------------------------
-; Once the land points list has been found, we change back the the
+; Once the land points list has been found, we change back the
 ; mask values for the boundary conditions.
     msk[0, *] = 0b
@@ -163,5 +163,5 @@
     IF n_elements(maxval) NE 0 THEN zcoast = temporary(zcoast) < maxval
     z[coast] = temporary(zcoast)/temporary(weight)
-; we update the the boundary conditions of z
+; we update the boundary conditions of z
     if keyword_set(x_periodic) then begin
       z[0, *] = z[nx, *]
@@ -191,3 +191,2 @@
   return, z[1:nx, 1:ny]
 END
-
Index: trunk/SRC/Interpolation/extrapsmooth.pro
===================================================================
--- trunk/SRC/Interpolation/extrapsmooth.pro	(revision 237)
+++ trunk/SRC/Interpolation/extrapsmooth.pro	(revision 238)
@@ -2,7 +2,8 @@
 ;
 ; @file_comments
-; similar to extrapolate but could to the job in a better way because the
-; extrapolated values are smoothed... takes more time than extrapolate.
-; extrapolate data where mskin eq 0 by filling
+; similar to <pro>extrapolate</pro> but could to the job in a better way
+; because the ; extrapolated values are smoothed...
+; takes more time than <pro>extrapolate</pro>.
+; extrapolate data where mskin is equal 0 by filling
 ; step by step the coastline points with the mean value of the 8 neighbourgs.
 ;
Index: trunk/SRC/Interpolation/fromirr.pro
===================================================================
--- trunk/SRC/Interpolation/fromirr.pro	(revision 237)
+++ trunk/SRC/Interpolation/fromirr.pro	(revision 238)
@@ -9,14 +9,14 @@
 ;
 ; @param method {in}{required}{type=string}
-; a string defining the interpolation method. must be 'bilinear'
+; the interpolation method. must be 'bilinear'
 ;
 ; @param datain {in}{required}{type=2d array}
-; a 2D array the input data to interpolate
+; the input data to interpolate
 ;
 ; @param lonin {in}{required}{type=2d array}
-; a 2D array defining the longitude of the input data
+; the longitude of the input data
 ;
 ; @param latin {in}{required}{type=2d array}
-; a 2D array defining the latitude of the input data.
+; the latitude of the input data.
 ;
 ; @param mskin {in}{required}{type=2d array or -1}
@@ -25,8 +25,8 @@
 ;
 ; @param lonout {in}{required}{type=1d or 2d array}
-; 1D or 2D array defining the longitude of the output data.
+; the longitude of the output data.
 ;
 ; @param latout {in}{required}{type=1d or 2d array}
-; 1D or 2D array defining the latitude of the output data.
+; the latitude of the output data.
 ;
 ; @param mskout {in}{required}{type=2d array or -1}
@@ -73,6 +73,6 @@
 ; IDL> help, a, b
 ;
-; 2) use a and b that are now defined to bypass the computation of the weights and addresses 
-; and speed-up the computation!
+; 2) use a and b that are now defined to bypass the computation of the weights 
+; and addresses and speed-up the computation!
 ;
 ; IDL> t2ncep = fromirr('bilinear', topa, WEIG = a, ADDR = b)
Index: trunk/SRC/Interpolation/fromreg.pro
===================================================================
--- trunk/SRC/Interpolation/fromreg.pro	(revision 237)
+++ trunk/SRC/Interpolation/fromreg.pro	(revision 238)
@@ -4,6 +4,7 @@
 ; interpolate data from a "regular/rectangular grid" to any grid.
 ;   2 methods available: bilinear and imoms3
-;   A "regular/rectangular grid" is defined as a grid for which each longitudes lines have
-;   the same latitude and each latitudes columns have the same longitude.
+;   A "regular/rectangular grid" is defined as a grid for which 
+; each longitude lines have the same latitude and each latitude columns 
+; have the same longitude.
 ;
 ; @categories 
@@ -11,21 +12,21 @@
 ;
 ; @param method {in}{required}{type=string}
-; a string defining the interpolation method.
+; the interpolation method.
 ; must be 'bilinear' or 'imoms3'
 ;
 ; @param datain {in}{required}{type=2d array}
-; a 2D array the input data to interpolate
+; the input data to interpolate
 ;
 ; @param lonin {in}{required}{type=1d or 2d array}
-; 1D or 2D array defining the longitude of the input data
+; the longitude of the input data
 ;
 ; @param latin {in}{required}{type=1d or 2d array}
-; 1D or 2D array defining the latitude of the input data
+; the latitude of the input data
 ;
 ; @param lonout {in}{required}{type=1d or 2d array}
-; 1D or 2D array defining the longitude of the output data
+; the longitude of the output data
 ;
 ; @param latout {in}{required}{type=1d or 2d array}
-; 1D or 2D array defining the latitude of the output data
+; the latitude of the output data
 ;
 ; @keyword WEIG {type=2d array or variable name}
@@ -68,5 +69,5 @@
 ; 
 ; 1) get back the weights and addresses in variables a and b
-;   (that must be undefined or equal to 0 before calling fromreg)
+;   (that must be undefined or equal to 0 before calling fromreg
 ;
 ; IDL> t1opa = fromreg('bilinear', t1ncep, xncep, yncep, glamt, gphit, WEIG = a, ADDR = b)
Index: trunk/SRC/Interpolation/get_gridparams.pro
===================================================================
--- trunk/SRC/Interpolation/get_gridparams.pro	(revision 237)
+++ trunk/SRC/Interpolation/get_gridparams.pro	(revision 238)
@@ -22,5 +22,4 @@
 ; IDL> get_gridparams, lon, lat, jpi, jpj, n_dimensions
 ;
-; 1)
 ; @param in1 {in}{required}
 ; Case 1: the name of the netcdf file
@@ -46,6 +45,6 @@
 ; Case 2: 1 or 2 to specify if lon and lat should be 1D (jpi or jpj)
 ; arrays or 2D arrays (jpi,jpj). Note that of  n_dimensions = 1, then the
-; grid must be regular (each longitudes must be the same for all latitudes
-; and each latitudes should be the same for all longitudes).
+; grid must be regular (each longitude must be the same for all latitudes
+; and each latitude should be the same for all longitudes).
 ;
 ; @param in6 {out}
@@ -79,5 +78,4 @@
 ;                  file, lonname, latname, lon, lat, jpi, jpj, n_dimensions
 ;                   lon,   lat,   jpi,     jpj, n_dimensions
-;
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/Interpolation/inquad.pro
===================================================================
--- trunk/SRC/Interpolation/inquad.pro	(revision 237)
+++ trunk/SRC/Interpolation/inquad.pro	(revision 238)
@@ -35,5 +35,5 @@
 ; @keyword ZOOMRADIUS {default=4}
 ; the zoom (circle centered on the (x,y) with a radius of
-; zoomradius degree where we look for the the quadrilateral which
+; zoomradius degree where we look for the quadrilateral which
 ; contains the (x,y) point) used for the satellite projection
 ; when /ONSPHERE is activated.
Index: trunk/SRC/Interpolation/inrecgrid.pro
===================================================================
--- trunk/SRC/Interpolation/inrecgrid.pro	(revision 237)
+++ trunk/SRC/Interpolation/inrecgrid.pro	(revision 238)
@@ -6,5 +6,5 @@
 ; find in which cell is located each given point.
 ;
-; @categories 
+; @categories
 ; Without loop
 ;
Index: trunk/SRC/Interpolation/ll_narcs_distances.pro
===================================================================
--- trunk/SRC/Interpolation/ll_narcs_distances.pro	(revision 237)
+++ trunk/SRC/Interpolation/ll_narcs_distances.pro	(revision 238)
@@ -4,11 +4,11 @@
 ; This function returns the longitude and latitude [lon, lat] of
 ; a point a given arc distance (-pi <= Arc_Dist <= pi), and azimuth (Az),
-; from a specified location Lon0, lat0.
-; Same as LL_ARC_DISTANCE but for n points without do loop.
+; from a specified location Lon0, Lat0.
+; Same as <proidl>LL_ARC_DISTANCE</proidl> but for n points without do loop.
 ;
 ; Formula from Map Projections - a working manual.  USGS paper
 ; 1395. Equations (5-5) and (5-6).
 ;
-; @categories 
+; @categories
 ; Mapping, geography
 ;
Index: trunk/SRC/Interpolation/map_npoints.pro
===================================================================
--- trunk/SRC/Interpolation/map_npoints.pro	(revision 237)
+++ trunk/SRC/Interpolation/map_npoints.pro	(revision 238)
@@ -6,6 +6,6 @@
 ; returns the distances between number n of P0 points and number
 ; n of P1 points (in that case, np0 and np1 must be equal).
-; Same as map_2points with the meter parameter but for n points
-; without do loop.
+; Same as <proidl>map_2points</proidl> with the meter parameter but for n
+; points without do loop.
 ;
 ; @categories
@@ -36,5 +36,5 @@
 ;
 ; @keyword TWO_BY_TWO
-; If given,then Map_nPoints returns the distances between number n of
+; If given, then map_npoints returns the distances between number n of
 ; P0 points and number n of P1 points
 ; In that case, np0 and np1 must be equal.
@@ -44,5 +44,5 @@
 ; points P0 and np1 points P1. Element (i,j) of the output is the
 ; distance between element P0[i] and P1[j].
-; If keyword /TWO_BY_TWO is given then Map_nPoints returns
+; If keyword /TWO_BY_TWO is given then map_npoints returns
 ; an np-element vector giving the distance in meter between P0[i]
 ; and P1[i] (in that case, we have np0 = np1 = np) ; if /MIDDLE see this keyword.
@@ -103,5 +103,5 @@
 ;-
 ;
-Function map_npoints, lon0, lat0, lon1, lat1, AZIMUTH = azimuth $
+FUNCTION map_npoints, lon0, lat0, lon1, lat1, AZIMUTH = azimuth $
  , RADIANS = radians, RADIUS = radius, MIDDLE = middle, TWO_BY_TWO = two_by_two
 
Index: trunk/SRC/Interpolation/neighbor.pro
===================================================================
--- trunk/SRC/Interpolation/neighbor.pro	(revision 237)
+++ trunk/SRC/Interpolation/neighbor.pro	(revision 238)
@@ -2,6 +2,6 @@
 ;
 ; @file_comments
-; find the closetest point of (P0) within a list of np1 points
-; P1 Which can be on a sphere
+; find the closest point of (P0) within a list of np1 points
+; P1 which can be on a sphere
 ;
 ; @categories
@@ -25,5 +25,6 @@
 ; variable dis.
 ;
-; @keyword SPHERE to activate if points are located on a sphere.
+; @keyword SPHERE
+; to activate if points are located on a sphere.
 ;
 ; @returns
Index: trunk/SRC/Interpolation/quadrilateral2square.pro
===================================================================
--- trunk/SRC/Interpolation/quadrilateral2square.pro	(revision 237)
+++ trunk/SRC/Interpolation/quadrilateral2square.pro	(revision 238)
@@ -41,5 +41,4 @@
 ;
 ; @returns
-;
 ; (2,n) array: the new coordinates (xout, yout) of the (xin,yin) point(s) after
 ; mapping.
Index: trunk/SRC/Interpolation/spl_fstdrv.pro
===================================================================
--- trunk/SRC/Interpolation/spl_fstdrv.pro	(revision 237)
+++ trunk/SRC/Interpolation/spl_fstdrv.pro	(revision 238)
@@ -2,5 +2,5 @@
 ;
 ; @file_comments
-; SPL_FSTDRV returns the values of the first derivative of
+; returns the values of the first derivative of
 ; the interpolating function at the points X2i. It is a double
 ; precision array.
@@ -8,7 +8,7 @@
 ; Given the arrays X and Y, which tabulate a function (with the X[i]
 ; AND Y[i] in ascending order), and given an input value X2, the
-; SPL_INCR function returns an interpolated value for the given values
-; of X2. The interpolation method is based on cubic spline, corrected
-; in a way that interpolated value are also in ascending order
+; <pro>spl_incr</pro> function returns an interpolated value for the given
+; values of X2. The interpolation method is based on cubic spline, corrected
+; in a way that interpolated value are also in ascending order.
 ;
 ; @examples
@@ -24,5 +24,5 @@
 ;
 ; @param yscd {in}{required}
-; The output from SPL_INIT for the specified X and Y.
+; The output from <proidl>SPL_INIT</pro> for the specified X and Y.
 ;
 ; @param x2 {in}{required}
@@ -43,7 +43,7 @@
 FUNCTION spl_fstdrv, x, y, yscd, x2
 ;
+  compile_opt idl2, strictarrsubs
+;
 ; compute the first derivative of the spline function
-;
-  compile_opt idl2, strictarrsubs
 ;
   nx = n_elements(x)
@@ -81,3 +81,2 @@
   RETURN, yfrst
 END
-
Index: trunk/SRC/Interpolation/spl_incr.pro
===================================================================
--- trunk/SRC/Interpolation/spl_incr.pro	(revision 237)
+++ trunk/SRC/Interpolation/spl_incr.pro	(revision 238)
@@ -5,5 +5,5 @@
 ; Given the arrays X and Y, which tabulate a function (with the X[i]
 ; AND Y[i] in ascending order), and given an input value X2, the
-; SPL_INCR function returns an interpolated value for the given values
+; spl_incr function returns an interpolated value for the given values
 ; of X2. The interpolation method is based on cubic spline, corrected
 ; in a way that interpolated values are also monotonically increasing.
@@ -65,7 +65,8 @@
 ;
 FUNCTION pure_concave, x1, x2, y1, y2, der2, x
+;
+  compile_opt idl2, strictarrsubs
+;
 ; X^n type
-;
-  compile_opt idl2, strictarrsubs
 ;
   xx = (double(x)-double(x1))/(double(x2)-double(x1))
@@ -82,6 +83,7 @@
   RETURN, res
 END
-
+;
 ;+
+;
 ; @param x1 {in}{required}
 ; An n-element (at least 2) input vector that specifies the tabulate points in
@@ -102,8 +104,10 @@
 ;
 ;-
+;
 FUNCTION pure_convex, x1, x2, y1, y2, der2, x
+;
+  compile_opt idl2, strictarrsubs
+;
 ; 1-(1-X)^n type
-;
-  compile_opt idl2, strictarrsubs
 ;
   xx = 1.0d - (double(x)-double(x1))/(double(x2)-double(x1))
@@ -121,16 +125,20 @@
   RETURN, res
 END
-
+;
 ;+
+;
 ; @param x
 ; @param y
 ; @param x2
-; @keyword YP0 The first derivative of the interpolating function at the
+; @keyword YP0
+; The first derivative of the interpolating function at the
 ;    point X0. If YP0 is omitted, the second derivative at the
 ;    boundary is set to zero, resulting in a "natural spline."
-; @keyword YPN_1 The first derivative of the interpolating function at the
+; @keyword YPN_1
+; The first derivative of the interpolating function at the
 ;    point Xn-1. If YPN_1 is omitted, the second derivative at the
 ;    boundary is set to zero, resulting in a "natural spline."
 ;-
+;
 FUNCTION spl_incr, x, y, x2, YP0 = yp0, YPN_1 = ypn_1
 ;
@@ -515,6 +523,3 @@
   RETURN, y2
 ;
-;------------------------------------------------------------------
-;------------------------------------------------------------------
-;
 END
Index: trunk/SRC/Interpolation/spl_keep_mean.pro
===================================================================
--- trunk/SRC/Interpolation/spl_keep_mean.pro	(revision 237)
+++ trunk/SRC/Interpolation/spl_keep_mean.pro	(revision 238)
@@ -5,5 +5,5 @@
 ; Given the arrays X and Y, which tabulate a function (with the X[i]
 ; AND Y[i] in ascending order), and given an input value X2, the
-; SPL_INCR function returns an interpolated value for the given values
+; spl_incr function returns an interpolated value for the given values
 ; of X2. The interpolation method is based on cubic spline, corrected
 ; in a way that integral of the interpolated values is the same as the
@@ -129,7 +129,4 @@
 ;  yfrst = 0.0d > temporary(yfrst)
   RETURN, yfrst
-
-;------------------------------------------------------------------
-;------------------------------------------------------------------
 ;
  END
Index: trunk/SRC/Interpolation/square2quadrilateral.pro
===================================================================
--- trunk/SRC/Interpolation/square2quadrilateral.pro	(revision 237)
+++ trunk/SRC/Interpolation/square2quadrilateral.pro	(revision 238)
@@ -27,5 +27,4 @@
 ; Can be scalar or array.
 ; (x0,y0), (x1,y1), (x2,y2) and (x3,y3) are given in the anticlockwise order.
-;
 ;
 ; @param xxin {in}{optional}
@@ -73,5 +72,4 @@
 ; page 54 of Wolberg's book, see figure 3.7 page 56 for the good
 ; definition.
-;
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/Matrix/cmapply.pro
===================================================================
--- trunk/SRC/Matrix/cmapply.pro	(revision 237)
+++ trunk/SRC/Matrix/cmapply.pro	(revision 238)
@@ -6,5 +6,5 @@
 ; @param X
 ;
-; @version 
+; @version
 ; $Id$
 ;
@@ -120,9 +120,9 @@
 ;
 ;   It's worth noting however, that the implementation of user-defined
-;   functions is not particularly optimized for speed.  Users are
+;   functions is not particularly optimized for speed. Users are
 ;   encouraged to implement their own array if the number of output
 ;   elements is large.
 ;
-; @categories 
+; @categories
 ; Array
 ;
@@ -134,5 +134,5 @@
 ; the user-defined function.
 ;
-; @param ARRAY {in}{required}{type=array} 
+; @param ARRAY {in}{required}{type=array}
 ; An array of values to be operated on.
 ; Must not be of type STRING (7) or STRUCTURE (8).
@@ -140,5 +140,5 @@
 ; @param dimapply {in}{optional}{default=1 (ie, first dimension)}{type=array}
 ; An array of dimensions that are to be "collapsed", where
-; the the first dimension starts with 1 (ie, same convention
+; the first dimension starts with 1 (ie, same convention
 ; as IDL function TOTAL).  Whereas TOTAL only allows one
 ; dimension to be added, you can specify multiple dimensions
@@ -155,5 +155,5 @@
 ; @keyword TYPE {default=same as input type}
 ; Set this to the IDL code of the desired output type (refer
-; to documentation of SIZE()).  Internal results will be
+; to documentation of <proidl>SIZE</proidl>()).  Internal results will be
 ; rounded to the nearest integer if the output type is an
 ; integer type.
@@ -214,5 +214,5 @@
 ;   (OUT[i,j] is the median value of IN[i,j,*])
 ;
-; @history 
+; @history
 ; Mar 1998, Written, CM
 ;   Changed usage message to not bomb, 24 Mar 2000, CM
@@ -229,5 +229,5 @@
 ;  craigm\@lheamail.gsfc.nasa.gov
 ;
-; @version 
+; @version
 ; $Id$
 ;
Index: trunk/SRC/Matrix/cmset_op.pro
===================================================================
--- trunk/SRC/Matrix/cmset_op.pro	(revision 237)
+++ trunk/SRC/Matrix/cmset_op.pro	(revision 238)
@@ -69,5 +69,5 @@
 ;   benefit.
 ;
-; @categories 
+; @categories
 ; Array
 ;
@@ -131,5 +131,5 @@
 ;  SET_UTILS.PRO by RSI
 ;
-; @history 
+; @history
 ; Written, CM, 23 Feb 2000
 ;   Added empty set capability, CM, 25 Feb 2000
@@ -163,5 +163,5 @@
 ;   craigm\@lheamail.gsfc.nasa.gov
 ;
-; @version 
+; @version
 ; $Id$
 ;
Index: trunk/SRC/Matrix/extrac2.pro
===================================================================
--- trunk/SRC/Matrix/extrac2.pro	(revision 237)
+++ trunk/SRC/Matrix/extrac2.pro	(revision 238)
@@ -29,5 +29,5 @@
 ;            20      22
 ;
-; @categories 
+; @categories
 ; Utilities
 ;
@@ -58,5 +58,5 @@
 ; I have a dim 2 matrix named A. I want extract a small intersection
 ; matrix 2d of the line 2,3 and 7 and of the column 0 and 1:
-; 
+;
 ; IDL> res=extrac2(A,[2,3,7],[0,1])
 ;
@@ -70,9 +70,11 @@
 ; g i
 ;
-; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
+; @history
+; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                       12/1/1999
 ;                       29/4/1999: correction of a bug and complement of the heading
 ;
-; @version $Id$
+; @version
+; $Id$
 ;
 ;-
Index: trunk/SRC/Obsolete/common.pro
===================================================================
--- trunk/SRC/Obsolete/common.pro	(revision 237)
+++ trunk/SRC/Obsolete/common.pro	(revision 238)
@@ -7,4 +7,4 @@
 ;
 ;-
-
+;
 @all_cm
Index: trunk/SRC/Obsolete/congridseb.pro
===================================================================
--- trunk/SRC/Obsolete/congridseb.pro	(revision 237)
+++ trunk/SRC/Obsolete/congridseb.pro	(revision 238)
@@ -39,13 +39,15 @@
 ; an array which dimensions are x,y
 ;
-; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
+; @history
+; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                      20/3/98
 ;                      18/6/1999 supression d''une horrible boucle
 ;
-; @version $Id$
+; @version
+; $Id$
 ;
 ;-
 ;
-function congridseb, tableau, x, y
+FUNCTION congridseb, tableau, x, y
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/Obsolete/extrait.pro
===================================================================
--- trunk/SRC/Obsolete/extrait.pro	(revision 237)
+++ trunk/SRC/Obsolete/extrait.pro	(revision 238)
@@ -73,9 +73,11 @@
 ; g i
 ;
-; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
+; @history
+; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ; 12/1/1999
 ; 29/4/1999: correction of a bug and complement of the heading
 ;
-; @version $Id$
+; @version
+; $Id$
 ;
 ;-
Index: trunk/SRC/Obsolete/fictype.pro
===================================================================
--- trunk/SRC/Obsolete/fictype.pro	(revision 237)
+++ trunk/SRC/Obsolete/fictype.pro	(revision 238)
@@ -16,9 +16,9 @@
 ; IDL> fictype = fictype(930124)
 ;
-; @history 
+; @history
 ; Jerome Vialard  (jv\@lodyc.jussieu.fr)
 ; 2/7/98
 ;
-; @version 
+; @version
 ; $Id$
 ;
Index: trunk/SRC/Obsolete/nlecan.pro
===================================================================
--- trunk/SRC/Obsolete/nlecan.pro	(revision 237)
+++ trunk/SRC/Obsolete/nlecan.pro	(revision 238)
@@ -6,5 +6,5 @@
 ;
 ; @obsolete
-; @categories 
+; @categories
 ; Reading
 ;
@@ -12,42 +12,42 @@
 ; IDL> res=nlecan(nom, numsortie79, nbretps)
 ;
-; @param nom {in}{required} 
+; @param nom {in}{required}
 ; nom du tableau contenant le champ que l'on veut (le
 ; trouver avec ncdflec,fichier,/var
 ;
-; @param numsortie79 {in}{required} 
+; @param numsortie79 {in}{required}
 ; le numero du pas de temps que l'on veut sortir du
 ; fichier (compte a partir de 1) a partir de 79
 ;
-; @param nbretps {in}{required} 
+; @param nbretps {in}{required}
 ; nombre de pas de temps a extraire
 ;
-; @keyword BOITE  
+; @keyword BOITE
 ; boite sur laquelle integrer (par defaut tt le domaine)
 ;
-; @keyword GRILLE 
+; @keyword GRILLE
 ; impose la grille a laquelle est rapporte le champ. rq permet
 ; d'aller plus vite ds la lecture
 ;
-; @keyword TOUT 
+; @keyword TOUT
 ; oblige a lire le tableau entier en non pas celui reduit a domdef
 ;
-; @keyword _EXTRA 
+; @keyword _EXTRA
 ; Used to pass keywords
 ;
-; @returns 
+; @returns
 ; tableau 2d (qd la serie ne fait que 1 pas de temps) ou
 ; 3d (valable ds 1 premier tps que pour les tableaux 2d)
 ;
-; @uses 
+; @uses
 ; common.pro
 ;
-; @restrictions 
+; @restrictions
 ; appele par <pro>nlec</pro>
 ;
-; @history 
+; @history
 ; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;
-; @version 
+; @version
 ; $Id$
 ;
Index: trunk/SRC/Postscript/closeps.pro
===================================================================
--- trunk/SRC/Postscript/closeps.pro	(revision 237)
+++ trunk/SRC/Postscript/closeps.pro	(revision 238)
@@ -13,5 +13,5 @@
 ; that we have to destroy at the end of closeps (when the postscript is done).
 ;
-; @uses 
+; @uses
 ; cm_4ps
 ;
Index: trunk/SRC/Postscript/openps.pro
===================================================================
--- trunk/SRC/Postscript/openps.pro	(revision 237)
+++ trunk/SRC/Postscript/openps.pro	(revision 238)
@@ -38,8 +38,9 @@
 ; Used to pass keywords to <proidl>device</proidl>.
 ;
-; @uses 
+; @uses
 ; cm_4ps
 ;
-; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
+; @history
+; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ; 21/12/98
 ; 1/2/98: ajout de nameps en input
@@ -52,5 +53,5 @@
 ;-
 ;
-pro openps, namepsin, FILENAME = filename, INFOWIDGET = infowidget $
+PRO openps, namepsin, FILENAME = filename, INFOWIDGET = infowidget $
             , KEEPPFONT = keeppfont, KEEP_PFONT = keep_pfont $
             , PORTRAIT = portrait, LANDSCAPE = landscape $
Index: trunk/SRC/ReadWrite/ncdf_timeget.pro
===================================================================
--- trunk/SRC/ReadWrite/ncdf_timeget.pro	(revision 237)
+++ trunk/SRC/ReadWrite/ncdf_timeget.pro	(revision 238)
@@ -5,5 +5,5 @@
 ; Julian days of IDL.
 ;
-; @categories 
+; @categories
 ; Reading
 ;
@@ -34,7 +34,9 @@
 ; time_counter:units = "years since 1979-01-01 00:00:00" ;
 ;
-; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
+; @history
+; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                      June 2001
-; @version $Id$
+; @version
+; $Id$
 ;-
 ;
Index: trunk/SRC/ReadWrite/read_oasis.pro
===================================================================
--- trunk/SRC/ReadWrite/read_oasis.pro	(revision 237)
+++ trunk/SRC/ReadWrite/read_oasis.pro	(revision 238)
@@ -7,8 +7,8 @@
 ; Reading
 ;
-; @param FILENAME {in}{required} 
+; @param FILENAME {in}{required}
 ; the filename
 ;
-; @param VARNAME {in}{required} 
+; @param VARNAME {in}{required}
 ; the name of the variable to be read
 ;
@@ -24,5 +24,6 @@
 ; to change the default format (R8) of the data to be read.
 ;
-; @returns a 2d array
+; @returns
+; a 2d array
 ;
 ; @examples
@@ -32,7 +33,10 @@
 ; see also IDL> scanoasis,'grids_orca_t106'
 ;
-; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
+; @history
+; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                      July 01, 2002
-; @version $Id$
+; @version
+; $Id$
+;
 ;-
 ;
Index: trunk/SRC/ReadWrite/readbat.pro
===================================================================
--- trunk/SRC/ReadWrite/readbat.pro	(revision 237)
+++ trunk/SRC/ReadWrite/readbat.pro	(revision 238)
@@ -12,11 +12,14 @@
 ; @keyword ZERO to put 0 on land instead of negatives values for the islands.
 ;
-; @returns a 2d array
+; @returns
+; a 2d array
 ;
-; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
+; @history
+; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                      May 31, 2002
 ;    based on batlec2.pro, written by Maurice Imbard, March 17, 1998
 ;
-; @version $Id$
+; @version
+;  $Id$
 ;
 ;-
Index: trunk/SRC/ReadWrite/readoldopadistcoast.pro
===================================================================
--- trunk/SRC/ReadWrite/readoldopadistcoast.pro	(revision 237)
+++ trunk/SRC/ReadWrite/readoldopadistcoast.pro	(revision 238)
@@ -6,24 +6,24 @@
 ; based on the OPA subroutines dtacof and parctl
 ;
-; @categories 
+; @categories
 ; For OPA
 ;
 ; @param UNIT
 ;
+; @param PARAMS
 ;
-; @param PARAMS
-; 
-; 
 ; @param NUM
-; 
 ;
-; @returns  
+; @returns
 ; a structure that contains two elements: tdistcoast (the
 ; distance for the t-points) and fdiscoast (the distance for the
 ; f-points).
 ;
-; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
+; @history
+; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                      June, 2002
-; @version $Id$
+; @version
+; $Id$
+;
 ;-
 ;
@@ -37,8 +37,8 @@
    return, b
 end
-
+;
 ;+
+;
 ; @file_comments
-;
 ;
 ; @categories
@@ -50,7 +50,5 @@
 ; @param JPIGLO {in}{required}
 ;
-;
 ; @param JPJGLO {in}{required}
-;
 ;
 ; @param JPK {in}{required}
@@ -59,8 +57,8 @@
 ; @keyword IBLOC {default=4096L}
 ; Ibloc size
-; 
+;
 ; @keyword JPBYT {default=8L}
 ; Jpbyt size
-; 
+;
 ; @keyword NUMREC {default=19L*jpk}
 ; Number of records in the file.
@@ -72,5 +70,7 @@
 ; @version
 ; $Id$
+;
 ;-
+;
 FUNCTION readoldopadistcoast, filename, jpiglo, jpjglo, jpk, IBLOC = ibloc, JPBYT = jpbyt, NUMREC = numrec
 ;
Index: trunk/SRC/ReadWrite/scanctl.pro
===================================================================
--- trunk/SRC/ReadWrite/scanctl.pro	(revision 237)
+++ trunk/SRC/ReadWrite/scanctl.pro	(revision 238)
@@ -32,9 +32,9 @@
 ; @param xyheader
 ;
-; @keyword VARFMT 
+; @keyword VARFMT
 ;
 ; @keyword _EXTRA
 ;
-; @version 
+; @version
 ; $Id$
 ;
Index: trunk/SRC/ReadWrite/scanoasis.pro
===================================================================
--- trunk/SRC/ReadWrite/scanoasis.pro	(revision 237)
+++ trunk/SRC/ReadWrite/scanoasis.pro	(revision 238)
@@ -6,8 +6,8 @@
 ; @categories know what is inside
 ;
-; @param FILENAME {in}{required} 
+; @param FILENAME {in}{required}
 ; The file name
 ;
-; @restrictions 
+; @restrictions
 ; List the variable names included in a Oasis file
 ;
@@ -15,7 +15,10 @@
 ; IDL> scanoasis,'grids_orca_t106'
 ;
-; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
+; @history
+; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                            July 01, 2002
-; @version $Id$
+; @version
+; $Id$
+;
 ;-
 ;
Index: trunk/SRC/ReadWrite/write_oasis.pro
===================================================================
--- trunk/SRC/ReadWrite/write_oasis.pro	(revision 237)
+++ trunk/SRC/ReadWrite/write_oasis.pro	(revision 238)
@@ -4,11 +4,11 @@
 ; write an Oasis file (version < 2.5)
 ;
-; @param FILENAME {in}{required} 
+; @param FILENAME {in}{required}
 ; the filename
 ;
-; @param VARNAME {in}{required} 
+; @param VARNAME {in}{required}
 ; the name of the variable to be written
 ;
-; @param Z2D {in}{required} 
+; @param Z2D {in}{required}
 ; the variable (2D array) to be written
 ;
@@ -19,15 +19,18 @@
 ; to change the default format (R8) of the data to be written.
 ;
-; @keyword APPEND 
-; to open the file with the file pointer at the end of the file, ready for 
+; @keyword APPEND
+; to open the file with the file pointer at the end of the file, ready for
 ; data to be appended.
 ;
-; @restrictions 
+; @restrictions
 ; varname is automatically written as a "character*8"
 ; by default z2d is written as an R8 array
 ;
-; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
+; @history
+; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                      July 01, 2002
-; @version $Id$
+; @version
+; $Id$
+;
 ;-
 ;
@@ -42,5 +45,5 @@
       return
    endif
-   
+
    writeu, unit, string(varname, format='(a8)')
    case 1 of
Index: trunk/SRC/ReadWrite/writebat.pro
===================================================================
--- trunk/SRC/ReadWrite/writebat.pro	(revision 237)
+++ trunk/SRC/ReadWrite/writebat.pro	(revision 238)
@@ -4,8 +4,8 @@
 ; write the bathymetry ASCII file of OPA
 ;
-; @categories 
+; @categories
 ; For OPA
 ;
-; @param ZBAT {in}{required} 
+; @param ZBAT {in}{required}
 ; the bathymetry, a 2d array
 ;
@@ -13,9 +13,12 @@
 ; It contains the filename
 ;
-; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
+; @history
+;  Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                      Sept 30, 2003
 ;    based on batsav2.pro, written by Maurice Imbard, March 17, 1998
 ;
-; @version $Id$
+; @version
+; $Id$
+;
 ;-
 ;
Index: trunk/SRC/Tests/TestsOld/tst_plt_old.pro
===================================================================
--- trunk/SRC/Tests/TestsOld/tst_plt_old.pro	(revision 237)
+++ trunk/SRC/Tests/TestsOld/tst_plt_old.pro	(revision 238)
@@ -4,5 +4,5 @@
 ;
 ; @categories
-; 
+;
 ; @keyword IMAGE
 ;
@@ -10,5 +10,5 @@
 ; Sebastien Masson
 ;
-; @version 
+; @version
 ; $Id$
 ;
Index: trunk/SRC/ToBeReviewed/CALCULS/hdyn.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/hdyn.pro	(revision 237)
+++ trunk/SRC/ToBeReviewed/CALCULS/hdyn.pro	(revision 238)
@@ -37,5 +37,5 @@
 ; Give a depth to this keyword which will be considered as the reference depth
 ; (in this case, LEVEL has not any effect). the calculation will be effectuated
-; until this depth effecting an interpolation between the the last W level above
+; until this depth effecting an interpolation between the last W level above
 ; PROFREF and PROFREF.
 ;
Index: trunk/SRC/ToBeReviewed/CALCULS/remplit.pro
===================================================================
--- trunk/SRC/ToBeReviewed/CALCULS/remplit.pro	(revision 237)
+++ trunk/SRC/ToBeReviewed/CALCULS/remplit.pro	(revision 238)
@@ -231,5 +231,5 @@
 ;
     z[coast] =  temporary(zcoast)/ temporary(weight)
-; we update the the boundary conditions of z
+; we update the boundary conditions of z
     if keyword_set(key_periodic) AND nx EQ jpi then begin
       z[0, *] = z[nx, *]
Index: trunk/SRC/ToBeReviewed/IMAGE/animgif.pro
===================================================================
--- trunk/SRC/ToBeReviewed/IMAGE/animgif.pro	(revision 237)
+++ trunk/SRC/ToBeReviewed/IMAGE/animgif.pro	(revision 238)
@@ -1,21 +1,18 @@
-;------------------------------------------------------------
-;------------------------------------------------------------
-;------------------------------------------------------------
 ;+
 ;
-; @file_comments 
+; @file_comments
 ; Build a gif animation
 ;
-; @categories 
+; @categories
 ; Animated drawings.
 ;
-; @param NOMFIC {in}{required} 
+; @param NOMFIC {in}{required}
 ; It is the name of the gif file containing the animation.
 ;          Comment: this file is placed in the directory defined by iodir.
 ;
-; @uses 
+; @uses
 ; common.pro
 ;
-; @restrictions 
+; @restrictions
 ; We use the Z buffer to go faster!.
 ;              So, if it failed in animgif, you have to do:
@@ -24,21 +21,19 @@
 ;              IDL> retall
 ;
-; @restrictions 
+; @restrictions
 ; If we want to delete the \@common,
-;               we have to define manually the picture's size 
+;               we have to define manually the picture's size
 ;               (variables xsize and ysize) just as iodir.
 ;
-; @history 
+; @history
 ; Guillaume Roullet (grlod\@ipsl.jussieu.fr)
 ;          Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;          30/4/1999
 ;
-; @version 
+; @version
 ; $Id$
 ;
 ;-
-;------------------------------------------------------------
-;------------------------------------------------------------
-;------------------------------------------------------------
+;
 PRO animgif, nomfic
 ;
@@ -53,7 +48,7 @@
 ;  It completes the current palette on 256 colors.
 ;
-   red = [rouge, replicate(255, 256-n_elements(rouge))] 
-   green = [vert, replicate(255, 256-n_elements(rouge))] 
-   blue = [bleu, replicate(255, 256-n_elements(rouge))] 
+   red = [rouge, replicate(255, 256-n_elements(rouge))]
+   green = [vert, replicate(255, 256-n_elements(rouge))]
+   blue = [bleu, replicate(255, 256-n_elements(rouge))]
 ;
 ; It rocks on the z device, allowing to create the picture without display it.
@@ -67,5 +62,5 @@
    device, set_resolution = [xsize, ysize]
 ;
-; Beginning of the gif file. Writing of an empty picture. 
+; Beginning of the gif file. Writing of an empty picture.
 ;
    reinitplt
@@ -80,5 +75,5 @@
 ; Loop of picture's creation.
 ;
-   calen = TIMEGEN(366, START=JULDAY(1,1,2000)) 
+   calen = TIMEGEN(366, START=JULDAY(1,1,2000))
    debut = where(calen EQ 19810105)
    debut = where(calen EQ 19790105)
@@ -103,5 +98,5 @@
 ;      plt, nlec('sss', date, 'ATF'), label = 2, /noerase
 ;      plt, nlec('htoth', date, 'RE3')-nlec('hpycn', date, 'RE3'), 10, 60, int = 5, /inv, /noerase
-;      domdef, 290,340,-5,15 
+;      domdef, 290,340,-5,15
 ;      plt, norme(nlec('unsurf', date, 'RE3'), nlec('vnsurf', date, 'RE3')), 0, 1.2, int = .1, /noerase
 ;
@@ -109,5 +104,5 @@
 ;
       write_gif,iodir+nomfic,tvrd(),red, green, blue, /multiple
-   ENDFOR 
+   ENDFOR
 ;----------------------------------------------------------------
 ; End of the part we want to change.
@@ -115,5 +110,5 @@
 ;
 ; Closing of the file.
-   write_gif,iodir+nomfic,/close 
+   write_gif,iodir+nomfic,/close
 ; Rerock on terminal X mode.
 ;   device, /close
Index: trunk/SRC/ToBeReviewed/INIT/initncdf.pro
===================================================================
--- trunk/SRC/ToBeReviewed/INIT/initncdf.pro	(revision 237)
+++ trunk/SRC/ToBeReviewed/INIT/initncdf.pro	(revision 238)
@@ -139,5 +139,5 @@
     zvarid = (where(namevar EQ 'nav_lev' or namevar EQ zaxisname OR namevar EQ 'level' OR namevar EQ 'lev' OR strmid(namevar, 0, 5) EQ 'depth'))[0]
     if zvarid EQ -1 AND inside.ndims GT 3 then begin
-      ras = report( 'initncdf: the zaxis was not found..., check the the use of ZAXISNAME keyword if you whant to find one...')
+      ras = report( 'initncdf: the zaxis was not found..., check the use of ZAXISNAME keyword if you whant to find one...')
 ;     stop
     endif
Index: trunk/SRC/ToBeReviewed/LECTURE/read_ncdf.pro
===================================================================
--- trunk/SRC/ToBeReviewed/LECTURE/read_ncdf.pro	(revision 237)
+++ trunk/SRC/ToBeReviewed/LECTURE/read_ncdf.pro	(revision 238)
@@ -69,5 +69,5 @@
 ;
 ; @keyword ZETAFILENAME {default=FILENAME}{type=string}
-; For ROMS outputs. The filename of the file where zeta vriable should be read
+; For ROMS outputs. The filename of the file where zeta variable should be read
 ;
 ; @keyword ZETAZERO {default=0}{type=scalar: 0 or 1}
Index: trunk/SRC/ToBeReviewed/MATRICE/colle.pro
===================================================================
--- trunk/SRC/ToBeReviewed/MATRICE/colle.pro	(revision 237)
+++ trunk/SRC/ToBeReviewed/MATRICE/colle.pro	(revision 238)
@@ -1,8 +1,8 @@
 ;+
-; @file_comments 
-; This concatenation function exist in IDL so long 
-; as we do not try to stick with a dimension superior or equal at 4.  
+; @file_comments
+; This concatenation function exist in IDL so long
+; as we do not try to stick with a dimension superior or equal at 4.
 ;
-; @categories 
+; @categories
 ; Utilities
 ;
@@ -52,7 +52,9 @@
 ; force to save the pointer array and arrays to be stuck
 ;
-; @returns res=matrice resultat
+; @returns
+; matrice resultat
 ;
-; @examples IDL> print, colle(replicate(1,2,2,2),indgen(2,2,2),2)   
+; @examples
+; IDL> print, colle(replicate(1,2,2,2),indgen(2,2,2),2)
 ;                1       1
 ;                1       1
@@ -65,10 +67,13 @@
 ;                6       7
 ;
-; @history Sebastien Masson (smasson\@lodyc.jussieu.fr)
+; @history
+; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;                       13/1/98
 ;
-; @version $Id$
+; @version
+; $Id$
 ;
 ;-
+;
 FUNCTION colle, a0, a1, a2, a3, a4, a5, a6, a7, a8, a9, a10, a11, a12, a13, a14, a15, a16, a17, a18, a19, a20, SAUVE = sauve
 ;
@@ -111,6 +116,6 @@
             res = [temporary(res), *ptrtab[n]]
             if NOT keyword_set(sauve) then ptr_free, ptrtab[n]
-         ENDFOR 
-      END 
+         ENDFOR
+      END
       2:BEGIN                   ; we paste following the dimension 2
          res = *ptrtab[0]
@@ -119,6 +124,6 @@
             res = [[temporary(res)], [*ptrtab[n]]]
             if NOT keyword_set(sauve) then ptr_free, ptrtab[n]
-         ENDFOR 
-      END 
+         ENDFOR
+      END
       3:BEGIN                   ; we paste following the dimension 3
          res = *ptrtab[0]
@@ -127,9 +132,9 @@
             res = [[[temporary(res)]], [[*ptrtab[n]]]]
             if NOT keyword_set(sauve) then ptr_free, ptrtab[n]
-         ENDFOR 
+         ENDFOR
       END
-      ELSE:BEGIN 
+      ELSE:BEGIN
 ; We transpose res in order to put the dimension to be pasted number 1
-; To this, we contain the permuter vector which give the place that dimension 
+; To this, we contain the permuter vector which give the place that dimension
 ; in the transposed matrix must take.
         siz = (size(*ptrtab[0]))[0]
@@ -143,5 +148,5 @@
          FOR n = 1,nbretab-1 DO BEGIN ; we paste following the dimension 1on colle suivant la dimension 1
             if (size(*ptrtab[n]))[0] LT direc then $
-             *ptrtab[n] = reform(*ptrtab[n], [(size(*ptrtab[n]))[1:siz], replicate(1, direc-siz)])            
+             *ptrtab[n] = reform(*ptrtab[n], [(size(*ptrtab[n]))[1:siz], replicate(1, direc-siz)])
             res = [temporary(res), transpose(*ptrtab[n], permute)]
             if NOT keyword_set(sauve) then ptr_free, ptrtab[n]
@@ -149,12 +154,8 @@
          res = transpose(temporary(res), permute)
       END
-   ENDCASE 
+   ENDCASE
 ;------------------------------------------------------------
    if NOT keyword_set(sauve) then undefine, ptrtab
 sortie:
    return,  res
-
-   
-END 
- 
-;------------------------------------------------------------
+END
Index: trunk/SRC/ToBeReviewed/PLOTS/DIVERS/checkfield.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/DIVERS/checkfield.pro	(revision 237)
+++ trunk/SRC/ToBeReviewed/PLOTS/DIVERS/checkfield.pro	(revision 238)
@@ -79,5 +79,5 @@
   return, report(['Error in "' + type + '" type plot with a 2D input array:' $
                   , 'the array dimensions ' + tostr(sz[1:2]) + ' are incompatible' $
-                  , 'with the the domain dimensions ' $
+                  , 'with the domain dimensions ' $
                   , '[jpi/nx, jpj/ny, jpk/nz, jpt] = [' $
                   + strtrim(jpi, 1) + '/' + strtrim(nx, 1) $
@@ -125,5 +125,5 @@
   return, report(['Error in "' + type + '" type plot with a 3D input array:' $
                   , 'the array dimensions ' + tostr(sz[1:3]) + ' are incompatible' $
-                  , 'with the the domain dimensions ' $
+                  , 'with the domain dimensions ' $
                   , '[jpi/nx, jpj/ny, jpk/nz, jpt] = [' $
                   + strtrim(jpi, 1) + '/' + strtrim(nx, 1) $
Index: trunk/SRC/ToBeReviewed/PLOTS/VECTEUR/velovect.pro
===================================================================
--- trunk/SRC/ToBeReviewed/PLOTS/VECTEUR/velovect.pro	(revision 237)
+++ trunk/SRC/ToBeReviewed/PLOTS/VECTEUR/velovect.pro	(revision 238)
@@ -15,6 +15,6 @@
 ;
 ; @param V {in}{required}
-; The Y component of the two dimensional field.  Y must have
-; the same dimensions as X.  The vector at point [i,j] has a
+; The Y component of the two dimensional field. Y must have
+; the same dimensions as X. The vector at point [i,j] has a
 ; magnitude of:
 ;
@@ -26,9 +26,9 @@
 ;
 ; @param X {in}{optional}{type=vector}
-; Optional abscissa values.  X must be a vector with a length
+; Optional abscissa values. X must be a vector with a length
 ; equal to the first dimension of U and V.
 ;
 ; @param Y {in}{optional}{type=vector}
-; Optional ordinate values.  Y must be a vector with a length
+; Optional ordinate values. Y must be a vector with a length
 ; equal to the first dimension of U and V.
 ;
@@ -39,16 +39,16 @@
 ; Set this keyword to 1 to place a dot at each missing point.
 ; Set this keyword to 0 or omit it to draw nothing for missing
-; points.  Has effect only if MISSING is specified.
+; points. Has effect only if MISSING is specified.
 ;
 ; @keyword LENGTH {default=1.0}
-; Length factor.  The default of 1.0 makes the longest (U,V)
+; Length factor. The default of 1.0 makes the longest (U,V)
 ; vector the length of a cell.
 ;
 ; @keyword MISSING
-;  Missing data value.  Vectors with a LENGTH greater
+;  Missing data value. Vectors with a LENGTH greater
 ; than MISSING are ignored.
 ;
 ; @keyword OVERPLOT
-; Set this keyword to make VELOVECT "overplot".  That is, the
+; Set this keyword to make VELOVECT "overplot". That is, the
 ; current graphics screen is not erased, no axes are drawn, and
 ; the previously established scaling remains in effect.
@@ -62,5 +62,5 @@
 ;
 ; @restrictions
-; Plotting on the selected device is performed.  System
+; Plotting on the selected device is performed. System
 ; variables concerning plotting are changed.
 ; Note:   All other keywords are passed directly to the PLOT procedure
@@ -73,5 +73,5 @@
 ;	Added TITLE, Oct, 1990.
 ;	Added POSITION, NOERASE, COLOR, Feb 91, RES.
-;	August, 1993.  Vince Patrick, Adv. Visualization Lab, U. of Maryland,
+;	August, 1993. Vince Patrick, Adv. Visualization Lab, U. of Maryland,
 ;		fixed errors in math.
 ;	August, 1993. DMS, Added _EXTRA keyword inheritance.
@@ -82,8 +82,8 @@
 ;			 OPLOT to PLOTS.
 ;       September, 1996, GGS. Changed denominator of x_step and y_step vars.
-;       February, 1998, DLD.  Add support for CLIP and NO_CLIP keywords.
-;       June, 1998, DLD.  Add support for OVERPLOT keyword.
+;       February, 1998, DLD. Add support for CLIP and NO_CLIP keywords.
+;       June, 1998, DLD. Add support for OVERPLOT keyword.
 ;
-; Copyright (c) 1983-1998, Research Systems, Inc.  All rights reserved.
+; Copyright (c) 1983-1998, Research Systems, Inc. All rights reserved.
 ;	Unauthorized reproduction prohibited.
 ;
Index: trunk/SRC/ToBeReviewed/POSTSCRIPT/ps.pro
===================================================================
--- trunk/SRC/ToBeReviewed/POSTSCRIPT/ps.pro	(revision 237)
+++ trunk/SRC/ToBeReviewed/POSTSCRIPT/ps.pro	(revision 238)
@@ -1,3 +1,4 @@
 ;+
+;
 ; @file_comments
 ; Redirect the content of the graphic window in a postscript, 
@@ -90,4 +91,2 @@
 for i = 2, n_elements(vectjournal)-3 DO $
 printf,  !journal, vectjournal[i]
-
-;------------------------------------------------------------
Index: trunk/SRC/ToBeReviewed/STRING/chkeywd.pro
===================================================================
--- trunk/SRC/ToBeReviewed/STRING/chkeywd.pro	(revision 237)
+++ trunk/SRC/ToBeReviewed/STRING/chkeywd.pro	(revision 238)
@@ -2,5 +2,5 @@
 ;
 ; @file_comments
-; In a string containing an order to execute with EXECUTE by example. 
+; In a string containing an order to execute with EXECUTE by example.
 ; We change the value of one of keywords.
 ; More generally, in a string, we look for the character chain: ', keywdname= ...,
@@ -10,5 +10,4 @@
 ; String, keywords
 ;
-; 
 ; @param STRINGIN {in}{required}{type=string}
 ; it is a string
@@ -17,27 +16,27 @@
 ; it is a string designating the name of keyword to look for.
 ;
-; @param KEYWDVALUE {in}{required} 
+; @param KEYWDVALUE {in}{required}
 ; The new value of the keyword to considerate in STRINGIN
 ;
 ; @keyword SEPARATOR
-; To look for the keyword, we look for the first sign = which follow 
-; the position of keywdname. By default, we substitute the string 
-; before the comma. With the keyword SEPARATOR,we can modify the cut 
-; of the string. SEPARATOR give a Character before the one we have to 
+; To look for the keyword, we look for the first sign = which follow
+; the position of keywdname. By default, we substitute the string
+; before the comma. With the keyword SEPARATOR,we can modify the cut
+; of the string. SEPARATOR give a Character before the one we have to
 ; look for the comma which delimit the keyword in the string.
 ; (see examples)
 ;
 ; @keyword AFTER
-; To look for the keyword, we look for the first sign = which follow 
-; the position of keywdname. By default, we substitute the string 
-; before the comma. With the keyword AFTER,we can modify the cut 
-; of the string. AFTER give a Character after the one we have to 
+; To look for the keyword, we look for the first sign = which follow
+; the position of keywdname. By default, we substitute the string
+; before the comma. With the keyword AFTER,we can modify the cut
+; of the string. AFTER give a Character after the one we have to
 ; look for the comma which delimit the keyword in the string.
 ; (see examples)
 ;
-; @returns 
+; @returns
 ; stringout=stringin modified if keywdname has been found in stringin
 ;
-; @uses 
+; @uses
 ; common.pro
 ;
@@ -46,10 +45,10 @@
 ;
 ; @restrictions
-; Beware, this function has loops, ifs ad cases everywhere. So it can 
-; not be used by big keywords (with a lot of elements which are big 
-; arrays). The input keyword must not contain Complex floatings, structure, 
-; Double-precision complex, Pointer, Object reference, Unsigned Integer, 
+; Beware, this function has loops, ifs ad cases everywhere. So it can
+; not be used by big keywords (with a lot of elements which are big
+; arrays). The input keyword must not contain Complex floatings, structure,
+; Double-precision complex, Pointer, Object reference, Unsigned Integer,
 ; Unsigned Longword Integer, 64-bit Integer or Unsigned 64-bit Integer.
-; 
+;
 ;
 ; @examples
@@ -72,5 +71,5 @@
 ;                      18/10/1999
 ;                      24/11/1999: adaptation for keywords starting by /
-; 
+;
 ; @version
 ; $Id$
@@ -93,5 +92,5 @@
          poskeywd = poskeywd+strlen(ajoute)
          poskeywd = strpos(stringout, keywdname, poskeywd)
-      ENDIF ELSE BEGIN 
+      ENDIF ELSE BEGIN
 ; change a keyword sarting by toto=
          posegal = strpos(stringout, '=', poskeywd)
@@ -107,5 +106,5 @@
 ;
          poskeywd = strpos(stringout, keywdname, posvirgule+1)
-      ENDELSE 
+      ENDELSE
    endwhile
 
Index: trunk/SRC/ToBeReviewed/STRING/strwhere.pro
===================================================================
--- trunk/SRC/ToBeReviewed/STRING/strwhere.pro	(revision 237)
+++ trunk/SRC/ToBeReviewed/STRING/strwhere.pro	(revision 238)
@@ -13,18 +13,18 @@
 ; the character to look for
 ;
-; @returns COUNT {out}{optional}
-; The number of matches that were found 
+; @returns
+; The number of matches that were found
 ;
-;  The function returns an index array similar to the 
+;  The function returns an index array similar to the
 ;  result of the where function
 ;
 ; @examples
-;        ind = strwhere('abcabcabc','a')
-;
-;        ; returns [ 0, 3, 6 ]
+; IDL> ind = strwhere('abcabcabc','a')
+; IDL> print, ind
+; [ 0, 3, 6 ]
 ;
 ; @history
 ;        mgs, 02 Jun 1998: VERSION 1.00
-;        bmy, 30 Jun 1998: - now returns COUNT, the number 
+;        bmy, 30 Jun 1998: - now returns COUNT, the number
 ;                            of matches that are found (this is
 ;                            analogous to the WHERE command)
@@ -44,16 +44,14 @@
 ; with subject "IDL routine strwhere"
 ;
-function strwhere,str,schar,Count
+FUNCTION strwhere,str,schar,Count
 ;
   compile_opt idl2, strictarrsubs
 ;
- 
- 
    if (n_elements(str) eq 0) then return,-1
- 
+
    ; convert to byte
    BStr = byte(Str)
    BSC  = (byte(schar))[0]
- 
+
    ; Search for matches
    Ind = where( Bstr eq BSC, Count )
@@ -63,3 +61,2 @@
 
 end
-   
Index: trunk/SRC/ToBeReviewed/UTILITAIRE/oups.pro
===================================================================
--- trunk/SRC/ToBeReviewed/UTILITAIRE/oups.pro	(revision 237)
+++ trunk/SRC/ToBeReviewed/UTILITAIRE/oups.pro	(revision 238)
@@ -1,24 +1,24 @@
 ;+
 ;
-; @file_comments 
+; @file_comments
 ;       Kind of UNDO:
-;         Allows to redo all the chain of drawing since the opening of the last window without 
-;         reexecute the last order Example: I do a drawing with 10 plot over it, if I make a 
+;         Allows to redo all the chain of drawing since the opening of the last window without
+;         reexecute the last order Example: I do a drawing with 10 plot over it, if I make a
 ;         mistake, I execute this program and i can redo the only plot missed.
 ;
-; @categories 
+; @categories
 ; utilities
 ;
-; @restrictions 
-; compatible with \@<pro>ps</pro> 
+; @restrictions
+; compatible with \@<pro>ps</pro>
 ; \@<pro>vzoom</pro> text_box...
 ;
-; @history 
+; @history
 ; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;
-; @version 
+; @version
 ; $Id$
 ;
-; @todo 
+; @todo
 ; seb
 ;
@@ -64,5 +64,5 @@
  IF strpos(vectjournal[n_elements(vectjournal)-1],';,pos=[' ) NE -1 then $
  vectjournal[n_elements(vectjournal)-2] = '' $
- ELSE vectjournal[n_elements(vectjournal)-1] = '' 
+ ELSE vectjournal[n_elements(vectjournal)-1] = ''
 ; we rewrite idlsave.pro
  putfile, myuniquetmpdir+'idlsave.pro', vectjournal
@@ -70,9 +70,9 @@
  path_cache, /rebuild
 ; apply idlsave
-@idlsave   
-; the journal has just been reopened, and we put elements of vectjournal in it. 
+@idlsave
+; the journal has just been reopened, and we put elements of vectjournal in it.
 for i = 0, n_elements(vectjournal)-1 DO $
 journal, vectjournal[i]
-      
 
 
+
Index: trunk/SRC/ToBeReviewed/UTILITAIRE/vzoom.pro
===================================================================
--- trunk/SRC/ToBeReviewed/UTILITAIRE/vzoom.pro	(revision 237)
+++ trunk/SRC/ToBeReviewed/UTILITAIRE/vzoom.pro	(revision 238)
@@ -1,20 +1,20 @@
 ;+
 ;
-; @file_comments 
-; Make a real zoom in a plot, contrarly at the function 
+; @file_comments
+; Make a real zoom in a plot, contrarly at the function
 ; ZOOM prewritten by IDL which just get pixels bigger.
 ;
-; @categories 
+; @categories
 ; utilities
 ;
-; @restrictions 
+; @restrictions
 ; use the journal.
-; 
+;
 ; @history
 ; Sebastien Masson (smasson\@lodyc.jussieu.fr)
 ;          29/4/1999
 ;
-; @version 
-; $Id$ 
+; @version
+; $Id$
 ;
 ; @todo
@@ -69,9 +69,6 @@
    path_cache, /rebuild
 ; apply idlsave
-@idlsave   
-; the journal has just been reopened, and we put in elements of vectjournal. 
+@idlsave
+; the journal has just been reopened, and we put in elements of vectjournal.
 for i = 0, n_elements(vectjournal)-1 DO $
 journal, vectjournal[i]
-
-
-
Index: trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/scanfile.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/scanfile.pro	(revision 237)
+++ trunk/SRC/ToBeReviewed/WIDGET/AUTOUR_de_XXX/scanfile.pro	(revision 238)
@@ -224,5 +224,5 @@
 ;
 ; now we try to find the attribut called calendar...
-; the the attribute "calendar" exists?
+; the attribute "calendar" exists?
 ; If no, we suppose that the calendar is gregorian calendar
 ;
Index: trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_slide_slice.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_slide_slice.pro	(revision 237)
+++ trunk/SRC/ToBeReviewed/WIDGET/COMPOUND_WIDGET/cw_slide_slice.pro	(revision 238)
@@ -2,5 +2,4 @@
 ;
 ; @file_comments
-;
 ;
 ; @categories
Index: trunk/SRC/ToBeReviewed/WIDGET/slec.pro
===================================================================
--- trunk/SRC/ToBeReviewed/WIDGET/slec.pro	(revision 237)
+++ trunk/SRC/ToBeReviewed/WIDGET/slec.pro	(revision 238)
@@ -24,5 +24,5 @@
 ;   5 elements: The extraction is made on [Boxzoom[0:3], 0, Boxzoom[4]]
 ;   6 elements: The extraction is made on Boxzoom
-; Where lon1, lon2,lat1,lat2 are global variables defined at the last domdef!
+; where lon1,lon2,lat1,lat2 are global variables defined at the last domdef!
 ;
 ; @keyword _EXTRA
@@ -48,5 +48,4 @@
 ;
 FUNCTION slec,name,debut,fin, nomexp, PARENT = parent, BOXZOOM=boxzoom, _EXTRA = ex
-;---------------------------------------------------------
 ;
   compile_opt idl2, strictarrsubs
Index: trunk/SRC/Utilities/find.pro
===================================================================
--- trunk/SRC/Utilities/find.pro	(revision 237)
+++ trunk/SRC/Utilities/find.pro	(revision 238)
@@ -9,8 +9,8 @@
 ; all file_search keywords can be used.
 ;
-; @categories 
+; @categories
 ; find a file
 ;
-; @param FILEIN {in}{required} 
+; @param FILEIN {in}{required}
 ; A scalar or array variable of string type, containing
 ; file names to match. Input names specifications may contain
@@ -20,8 +20,8 @@
 ; completed with '.pro'
 ;
-; @keyword FIRSTFOUND 
+; @keyword FIRSTFOUND
 ; activate this keyword to stop looking for the file as soon as we found one.
 ;
-; @keyword IODIRECTORY {default=['.',!path]} 
+; @keyword IODIRECTORY {default=['.',!path]}
 ; A scalar or array variable of string type, containing
 ; directories names where we are looking for the file.
@@ -32,38 +32,38 @@
 ; keyword is not taken into account.
 ;
-; @keyword LOOKALLDIR 
+; @keyword LOOKALLDIR
 ; activate to look for the file (with a recursive search if needed)
 ; in . iodir, homedir, !path + the DATA:TestsData directory if it exists.
 ;
-; @keyword NOPRO 
+; @keyword NOPRO
 ; activate to avoid the automatic search of filename completed with '.pro'
 ;
-; @keyword ONLYPRO 
+; @keyword ONLYPRO
 ; force to look only at file ending with .pro
 ;
-; @keyword ONLYNC 
+; @keyword ONLYNC
 ; force to look only at file ending with .nc
 ;
-; @keyword RECURSIVE 
+; @keyword RECURSIVE
 ; performs recursive searching of directory hierarchies.
 ; In a recursive search, find looks recursively for any and all
 ; subdirectories in the file hierarchy rooted at the IODIRECTORY argument.
 ;
-; @keyword REPERTOIRE 
+; @keyword REPERTOIRE
 ; obsolete. keep for compatibility, use directory keyword
 ;
-; @keyword UNIQUE 
+; @keyword UNIQUE
 ; activate to make sure that each element of the output vector is unique.
 ;
-; @keyword TRYFIND 
+; @keyword TRYFIND
 ; if the file was not found and this keyword is activated, find will call
 ; itself with the keywords /LOOKALLDIR and /FIRSTFOUND to try to find
 ; the file we are looking for. Note that if the file was found at the
-; first try this keyword as no effect (which is not the case with LOOKALLDIR) 
+; first try this keyword as no effect (which is not the case with LOOKALLDIR)
 ;
-; @keyword _EXTRA 
+; @keyword _EXTRA
 ; Used to pass keywords
 ;
-; @returns 
+; @returns
 ; A scalar or array variable of string type, containing the
 ; name (with the full path of the matching files. If no files
Index: trunk/SRC/Utilities/fitintobox.pro
===================================================================
--- trunk/SRC/Utilities/fitintobox.pro	(revision 237)
+++ trunk/SRC/Utilities/fitintobox.pro	(revision 238)
@@ -47,5 +47,5 @@
     RETURN, report(['Error: ' $
                   , 'the vector size (' + tostr(sz) + ') is incompatible' $
-                  , 'with the the domain dimensions ' $
+                  , 'with the domain dimensions ' $
                   , '[jpi/nx, jpj/ny, jpk/nz, jpt] = [' $
                   + strtrim(jpi, 1) + '/' + strtrim(nx, 1) $
@@ -55,5 +55,5 @@
   RETURN, report(['Error: ' $
                   , 'the array dimensions ' + tostr(sz) + ' are incompatible' $
-                  , 'with the the domain dimensions ' $
+                  , 'with the domain dimensions ' $
                   , '[jpi/nx, jpj/ny, jpk/nz, jpt] = [' $
                   + strtrim(jpi, 1) + '/' + strtrim(nx, 1) $
@@ -97,5 +97,5 @@
 ; or -1 if there is an error...
 ;
-; @uses 
+; @uses
 ; cm_4mesh
 ; cm_4cal
@@ -107,5 +107,5 @@
 ; Error:
 ; the array dimensions [180,148,78] are incompatible
-; with the the domain dimensions
+; with the domain dimensions
 ; [jpi/nx, jpj/ny, jpk/nz, jpt] = [180/41, 148/3, 31/31, 1]
 ; <Expression>    INT       =       -1
@@ -118,4 +118,5 @@
 ; @version
 ; $Id$
+;
 ;-
 ;
